Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.types
Interface ConstantMatrix

All Known Subinterfaces:
  Matrix, Vector

All Known Implementing Classes:
  AugmentableFeatureVector, DenseMatrix, DenseVector, ExpGain, FeatureCounts, FeatureVector, GainRatio, GradientGain, HashedSparseVector, IndexedSparseVector, InfoGain, KLGain, LabelVector, Matrix2, Matrixn, Multinomial, Multinomial.Logged, PartiallyRankedFeatureVector, RankedFeatureVector, SparseMatrixn, SparseVector

    public interface ConstantMatrix

Method Summary
`double` | `absNorm()`
`ConstantMatrix` | `cloneMatrix()`
`double` | `dotProduct(ConstantMatrix m)`
`int` | `getDimensions(int[] sizes)`
`int` | `getNumDimensions()`
`int` | `indexAtLocation(int location)`
`double` | `infinityNorm()`
`boolean` | `isNaN()`
`int` | `location(int index)`
`int` | `numLocations()`
`double` | `oneNorm()`
`void` | `print()`
`int` | `singleIndex(int[] indices)`
`int` | `singleSize()`
`void` | `singleToIndices(int i, int[] indices)`
`double` | `singleValue(int i)`
`double` | `twoNorm()`
`double` | `value(int[] indices)`
`double` | `valueAtLocation(int location)`

Method Detail

### getNumDimensions

    int getNumDimensions()

### getDimensions

    int getDimensions(int[] sizes)

### value

    double value(int[] indices)

### singleIndex

    int singleIndex(int[] indices)

### singleToIndices

    void singleToIndices(int i,
                         int[] indices)

### singleValue

    double singleValue(int i)

### singleSize

    int singleSize()

### numLocations

    int numLocations()

### location

    int location(int index)

### valueAtLocation

    double valueAtLocation(int location)

### indexAtLocation

    int indexAtLocation(int location)

### dotProduct

    double dotProduct(ConstantMatrix m)

### absNorm

    double absNorm()

### oneNorm

    double oneNorm()

### twoNorm

    double twoNorm()

### infinityNorm

    double infinityNorm()

### print

    void print()

### isNaN

    boolean isNaN()

### cloneMatrix

    ConstantMatrix cloneMatrix()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD